config/routes.rb
# frozen_string_literal: true

Rails.application.routes.draw do
  get 'password_resets/new'

  get 'password_resets/edit'

  get 'sessions/new'

  get '/help',      to: 'static_pages#help'
  get '/signup',    to: 'users#new'
  post '/signup',   to: 'users#create'
  get '/login',     to: 'sessions#new'
  post '/login',    to: 'sessions#create'
  delete '/logout', to: 'sessions#destroy'
  put '/tts',       to: 'users#tts'

  resources :dictionaries do
    collection do
      post 'export_multiple'
    end
    post 'export', on: :member
    resources :entries do
      member do
        post 'finalize'
        post 'play'
        get 'play'
      end
    end
  end
  resources :sampas
  resources :users
  resources :account_activations, only: [:edit]
  resources :password_resets, only: %i[new create edit update]

  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
  root 'dictionaries#index'
end

app/views/layouts/_header.html.erb
<header class="navbar navbar-dark bg-dark navbar-expand flex-column flex-md-row bd-navbar ">
  <div class="container">
    <%= link_to "Pedi", root_path, id: "logo", class: "navbar-brand" %>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
      <span class="navbar-text">

      </span>
      </ul>
      <ul class="navbar-nav mr-auto">
        <% if logged_in? %>
          <li class="nav-item">
            <%= link_to t('Dictionaries'), dictionaries_path, class: "nav-link active" %>
          </li>
          <li class="nav-item">
            <%= link_to t('SAMPA Lists'), sampas_path, class: "nav-link active" %>
          </li>
          <li class="nav-item">
            <%= link_to t('Info'), help_path, class: "nav-link active" %>
          </li>
        <% end %>
      </ul>
        <ul class="navbar-nav mr-auto">
        <% if logged_in? %>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <%= current_user.name %>
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <%= link_to t('My profile'), current_user, class: "dropdown-item" %>
              <div class="dropdown-divider"></div>
              <%= link_to t('Logout'), logout_path, {method: :delete, class: "dropdown-item" }%>
            </div>
          </li>
          <%= render 'layouts/tts' %>
        <% else %>
          <li><%= link_to t('Login'), login_path, class: "nav-link" %></li>
            <li class="nav-item">
              <%= link_to t('Info'), help_path, class: "nav-link active" %>
            </li>
        <% end %>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <%= I18n.locale %>
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <%= link_to 'Íslenska', {locale: :is}, class: "dropdown-item"  %>
            <div class="dropdown-divider"></div>
            <%= link_to 'English', {locale: :en}, class: "dropdown-item"   %>
          </div>
        </li>
        </ul>
    </div>
  </div>
</header>

app/views/layouts/_shim.html.erb
<!--[if lt IE 9]>
<script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/r29/html5.min.js">
</script>
<![endif]-->

app/views/layouts/_tts.html.erb
<li class="nav-item dropdown">
  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownTts" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
    <%= "TTS: #{current_tts_voice}" %>
  </a>
  <div class="dropdown-menu" aria-labelledby="navbarDropdown">
    <% tts_voices.each do |voice_id| %>
      <%= link_to voice_id, tts_path(id: current_user, user:{tts_voice: voice_id}, format: 'html'), method: :put, local: true, class: "dropdown-item" %>
    <% end %>
  </div>
</li>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html lang="">
  <head>
    <title><%= full_title(yield(:title)) %></title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <%= stylesheet_pack_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
    
    <%= render 'layouts/shim' %>
  </head>

  <body>
  <%= render 'layouts/header' %>
  <div class="container">
    <% flash.each do |message_type, message| %>
      <div class="alert alert-<%= message_type %>"><%= message %></div>
    <% end %>
    <%= yield %>
  </div>
  <%= audio_tag '', preload: 'none', id: 'audio-player', autoplay: false, autobuffer: false, controls: true, type:'audio/mpeg' %>
  <%= javascript_pack_tag 'custom', 'data-turbolinks-track': 'reload' %>
  </body>
</html>